ALTER TABLE `student` ADD COLUMN `school` VARCHAR(255) NULL COMMENT '学校' AFTER `exam_room`;
ALTER TABLE `student` ADD COLUMN `relate_exam_number` VARCHAR(50) NULL COMMENT '关联考号' AFTER `is_test`;

ALTER TABLE `mark_subject` ADD COLUMN `enable` TINYINT(1) NULL default '1' COMMENT '是否启用 0：禁用 1：启用' AFTER `all_level`;


CREATE TABLE `param_setting` (
  `id` BIGINT(10) NOT NULL AUTO_INCREMENT,
  `work_id` BIGINT(10) NULL COMMENT '工作id',
  `package_scan` TINYINT(1) NULL COMMENT '是否整包扫描1：是 0：否',
  `image_encrypt` TINYINT(1) NULL COMMENT '是否加密1：是 0：否',
  `name_rule` TINYINT(1) NULL COMMENT '图片命名规则（0：考号命名、1：随机码命名）',
  `paper_stage` TINYINT(1) NULL COMMENT '试卷档位状态（1：已知、0：未知）',
  `deviation` int(2) NULL COMMENT '仲裁档位差',
  `auto_callback` TINYINT(1) NULL COMMENT '是否自动打回（1：是、0：否）',
  `majority` TINYINT(1) NULL COMMENT '是否过半定档（1：是、0：否）',
  `cumulative_error` int(3) NULL COMMENT '打回累计误差',
  `level_show_all_paper` TINYINT(1) NULL COMMENT '分档阶段阅卷员是否显示所有试卷（1：是、0：否）',
  `round_up` TINYINT(1) NULL COMMENT '分数处理方式（1：四舍五入、0：非零进一）',
  `change_stage` TINYINT(1) NULL COMMENT '改档及改档打分（1：显示、0：不显示）',
  `score_show_all_paper` TINYINT(1) NULL COMMENT '打分阶段阅卷员是否显示所有试卷（1：是、0：否）',
  PRIMARY KEY (`id`))
COMMENT = '参数设置';

CREATE TABLE `change_level` (
  `id` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `work_id` BIGINT(20) NULL,
  `subject` VARCHAR(50) NULL,
  `paper_id` BIGINT(20) NULL,
  `original_level` VARCHAR(45) NULL COMMENT '原档位',
  `suggest_level` VARCHAR(45) NULL COMMENT '建议档位',
  `audit_status` INT(1) NULL COMMENT '改档审核：0-申请，1-同意，2-不同意',
  `create_id` BIGINT(20) NULL COMMENT '申请改档用户id',
  `create_date` DATETIME NULL COMMENT '申请改档时间',
  `audit_id` BIGINT(20) NULL COMMENT '审核用户id',
  `audit_date` DATETIME NULL COMMENT '审核时间',
  PRIMARY KEY (`id`))
COMMENT = '改档记录表';

CREATE TABLE `task_publish_setting` (
  `id` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `work_id` BIGINT(20) NULL,
  `subject` VARCHAR(50) NULL,
  `code` VARCHAR(45) NULL COMMENT '档位',
  `total_count` INT NULL COMMENT '总数量',
  `success_count` INT NULL COMMENT '已评数量',
  `wait_count` VARCHAR(45) NULL COMMENT '待评数量',
  `sort_rule` TINYINT(1) NULL COMMENT '排序规则：0-乱序，1-定序',
  `display_number` TINYINT(1) NULL COMMENT '是否显示序号：0-否，1-是',
  `task_count` INT NULL COMMENT '本次任务数',
  `batch_no` BIGINT(45) NULL DEFAULT NULL COMMENT '本次任务数',
  `publish_count` INT NULL COMMENT '发布次数',
  PRIMARY KEY (`id`))
COMMENT = '发布打分任务';

ALTER TABLE `mark_user` ADD COLUMN `display_count` INT(1) NULL COMMENT '显示数量：4-四张显示，6-六张显示，8-八张显示' AFTER `level_callback`;
ALTER TABLE `mark_user` ADD COLUMN `default_account` TINYINT(1) NULL COMMENT '是否默认账号（采集账号）' AFTER `display_count`;

ALTER TABLE `mark_task` ADD COLUMN `serial_number` VARCHAR(10) NULL COMMENT '叫号序号' AFTER `batch_no`;
ALTER TABLE `mark_task` ADD COLUMN `display_number` TINYINT(1) NULL DEFAULT b'0' COMMENT '是否显示序号：0-否，1-是' AFTER `serial_number`;

ALTER TABLE `paper` ADD COLUMN `score_batch_no` BIGINT(45) NULL DEFAULT NULL COMMENT '打分任务发布批次号' AFTER `batch_no`;
ALTER TABLE `paper` ADD COLUMN `is_shift` BIT(1) NULL DEFAULT b'0' COMMENT '是否改档' AFTER `score_batch_no`,ADD COLUMN `is_shift_score` BIT(1) NULL DEFAULT b'0' COMMENT '是否改档打分' AFTER `is_shift`;
ALTER TABLE `paper` ADD COLUMN `is_one_click` BIT(1) NULL DEFAULT b'0' COMMENT '是否一键定档' AFTER `is_shift_score`;


INSERT INTO `mark_user` (`id`,`enabled`,`last_login_time`,`login_name`,`name`,`password`,`pw_changed_count`,`session_id`,`group_id`,`mark_right`,`role`,`subject`,`work_id`,`inspect_sc`,`inspect_sm`,`inspect_sx`,`weight`,`one_click_level`,`standard_volume`,`level_callback`,`display_count`,`default_account`) VALUES (50,B'1',NULL,'scan01','scan01','111111',0,NULL,NULL,NULL,'COLLECTOR','SC',0,NULL,NULL,NULL,NULL,B'0',B'0',B'0',NULL,NULL);
