package cn.com.qmth.stmms.ms.accesscontrol.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: 登录配置
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/10/18
 */
@Configuration
public class LoginConfig {

    /**
     * 后台admin配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "app.admin", ignoreUnknownFields = false)
    public AdminLoginConfig adminLoginConfig() {
        return new AdminLoginConfig();
    }

//    /**
//     * 采集端admin配置
//     *
//     * @return
//     */
//    @Bean
//    @ConfigurationProperties(prefix = "app.client", ignoreUnknownFields = false)
//    public ClientLoginConfig clientLoginConfig() {
//        return new ClientLoginConfig();
//    }

    /**
     * 纪检admin配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "app.inspection", ignoreUnknownFields = false)
    public InspectionLoginConfig inspectionLoginConfig() {
        return new InspectionLoginConfig();
    }

    /**
     * upload admin配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "app.upload", ignoreUnknownFields = false)
    public UploadLoginConfig uploadLoginConfig() {
        return new UploadLoginConfig();
    }
}
