package cn.com.qmth.stmms.ms.core.domain;

import cn.com.qmth.stmms.ms.core.vo.Subject;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by yuanpan on 2017/11/20.
 */
@Entity
public class InspectTask implements Serializable {

    private static final long serialVersionUID = 952218366749449251L;

    @Id
    @GeneratedValue
    private Long id;

    @NotNull
    private Long markerId;


    @NotNull
    private String markerName;

    @Enumerated(value = EnumType.STRING)
    private Subject subject;

    @NotNull
    private Long workId;

    @NotNull
    private Long inspectRangeId;

    @NotNull
    @ManyToOne
    @JoinColumn(name = "paperId")
    private Paper paper;

    private Long questionId;

    @Temporal(value = TemporalType.TIMESTAMP)
    private Date createdOn;

    @Temporal(value = TemporalType.TIMESTAMP)
    private Date updatedOn;

    private String level;
    private Integer score;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Long markerId) {
        this.markerId = markerId;
    }

    public String getMarkerName() {
        return markerName;
    }

    public void setMarkerName(String markerName) {
        this.markerName = markerName;
    }

    public Subject getSubject() {
        return subject;
    }

    public void setSubject(Subject subject) {
        this.subject = subject;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Long getInspectRangeId() {
        return inspectRangeId;
    }

    public void setInspectRangeId(Long inspectRangeId) {
        this.inspectRangeId = inspectRangeId;
    }

    public Paper getPaper() {
        return paper;
    }

    public void setPaper(Paper paper) {
        this.paper = paper;
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public Date getUpdatedOn() {
        return updatedOn;
    }

    public void setUpdatedOn(Date updatedOn) {
        this.updatedOn = updatedOn;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }
}
