package cn.com.qmth.stmms.ms.core.domain;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 全局参数设置
 */
@Entity
@Table(name = "param_setting")
public class ParamSetting implements Serializable {

    @Id
    @GeneratedValue
    private Long id;

    @NotNull
    private Long workId;

    private Integer packageScan;

    private Integer imageEncrypt;

    private Integer nameRule;

    private Integer paperStage;

    private Integer deviation;

    private Integer autoCallback;

    private Integer majority;

    private Integer cumulativeError;

    private Integer levelShowAllPaper;

    private Integer roundUp;

    private Integer changeStage;

    private Integer scoreShowAllPaper;

    public static ParamSetting init(){
        ParamSetting paramSetting = new ParamSetting();
        paramSetting.setPackageScan(0);
        paramSetting.setImageEncrypt(0);
        paramSetting.setNameRule(0);
        paramSetting.setPaperStage(0);
        //仲裁档位差,默认3
        paramSetting.setDeviation(3);
        paramSetting.setAutoCallback(0);
        paramSetting.setMajority(1);
        paramSetting.setLevelShowAllPaper(0);
        paramSetting.setRoundUp(1);
        paramSetting.setChangeStage(0);
        paramSetting.setScoreShowAllPaper(0);
        return paramSetting;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Integer getPackageScan() {
        return packageScan;
    }

    public void setPackageScan(Integer packageScan) {
        this.packageScan = packageScan;
    }

    public Integer getImageEncrypt() {
        return imageEncrypt;
    }

    public void setImageEncrypt(Integer imageEncrypt) {
        this.imageEncrypt = imageEncrypt;
    }

    public Integer getNameRule() {
        return nameRule;
    }

    public void setNameRule(Integer nameRule) {
        this.nameRule = nameRule;
    }

    public Integer getPaperStage() {
        return paperStage;
    }

    public void setPaperStage(Integer paperStage) {
        this.paperStage = paperStage;
    }

    public Integer getDeviation() {
        return deviation;
    }

    public void setDeviation(Integer deviation) {
        this.deviation = deviation;
    }

    public Integer getAutoCallback() {
        return autoCallback;
    }

    public void setAutoCallback(Integer autoCallback) {
        this.autoCallback = autoCallback;
    }

    public Integer getMajority() {
        return majority;
    }

    public void setMajority(Integer majority) {
        this.majority = majority;
    }

    public Integer getCumulativeError() {
        return cumulativeError;
    }

    public void setCumulativeError(Integer cumulativeError) {
        this.cumulativeError = cumulativeError;
    }

    public Integer getLevelShowAllPaper() {
        return levelShowAllPaper;
    }

    public void setLevelShowAllPaper(Integer levelShowAllPaper) {
        this.levelShowAllPaper = levelShowAllPaper;
    }

    public Integer getRoundUp() {
        return roundUp;
    }

    public void setRoundUp(Integer roundUp) {
        this.roundUp = roundUp;
    }

    public Integer getChangeStage() {
        return changeStage;
    }

    public void setChangeStage(Integer changeStage) {
        this.changeStage = changeStage;
    }

    public Integer getScoreShowAllPaper() {
        return scoreShowAllPaper;
    }

    public void setScoreShowAllPaper(Integer scoreShowAllPaper) {
        this.scoreShowAllPaper = scoreShowAllPaper;
    }
}
